Соберите, пожалуйста, пакет ...

Используем пакеты, расширяющие возможности оборудования
Аватара пользователя
Zyxmon
Администратор
Сообщения: 1232
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 23 авг 2015, 07:06

В этой теме оставляйте Ваши заявки.
Приблизительный шаблон:
---------------------------------------
Соберите, пожалуйста, пакет XXX, версия YYY.
Ссылка на исходники - http:://
Пакет (есть, нет, не знаю) в Openwrt.

Я использую железку ZZZ с Entware.mipsel фид mipselsf
Готов протестировать
-------------------------------------

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1232
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 24 янв 2016, 00:14

mixaiii писал(а):Источник цитаты msmtp отпадает

Обратите внимание на скрипт постустановки msmtp - https://github.com/Entware-ng/entware-p ... efile#L118

Завтра offtopic удалю

spin
Сообщения: 8
Зарегистрирован: 22 ноя 2015, 12:16

Сообщение spin » 24 янв 2016, 10:56

В последних версиях ffmpeg с января 2015 года возникает проблема с aac аудио при смене контейнера на mkv; раньше это работало, теперь нет. Видимо, разработчики считают, что так правильно и исправлять не будут https://trac.ffmpeg.org/ticket/4472

Вроде бы тут есть патч http://thread.gmane.org/gmane.comp.vide ... cus=191334
Или может быть соберете для кинетик гига ffmpeg версии 2.5 для mipsel entware-ng? Что-то я такую не нашел.

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1232
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 24 янв 2016, 11:04

spin, если баг есть - долбите разработчиков ffmpeg. По поводу патча написано
Muxing AAC without extradata into MKV is invalid. FFmpeg should not
produce invalid files.
Patch should not be applied.

Поэтому не возьмем. А специальные версии мы не собираем. Но Вы можете их собрать сами.

spin
Сообщения: 8
Зарегистрирован: 22 ноя 2015, 12:16

Сообщение spin » 24 янв 2016, 11:19

Это позиция у разработчиков изменилась (хотя патч одного из разработчиков): раньше выдавалось предупреждение и работало, а теперь вдруг они решили, что это ошибка. Версию 2.5.2 нельзя собрать? Самому долго собирать и не факт, что получится

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1232
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 24 янв 2016, 11:39

Могу попробовать собрать 2.8.5 (вышла 9 дней назад)
Changelog - http://git.videolan.org/?p=ffmpeg.git;a ... g;h=n2.8.5
Остальное сами.

spin
Сообщения: 8
Зарегистрирован: 22 ноя 2015, 12:16

Сообщение spin » 24 янв 2016, 12:20

Попробовал версию 2.8.5 в windows, ошибка есть, а вот в новейшей версии от 24 января ошибки почему-то нет. Соберите, пожалуйста

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1232
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 24 янв 2016, 14:01

spin, выйдет новый релиз - попробую. А так - сами. Если найдете конкретный коммит(ы), исправляющий ошибку - дайте ссылку. В этом случае может можно будет сделать патч.

I2M
Сообщения: 5
Зарегистрирован: 09 фев 2016, 14:41

Сообщение I2M » 09 фев 2016, 15:17

Соберите, пожалуйста, пакет ps3netsrv-mod
Ссылка на исходники - https://drive.google.com/file/d/0B4rlEl ... Z0dXM/view
Пакета нет в Openwrt.

Я использую железку Keenetic II NDMSv1 с Entware-ng фид mipselsf
Это измененная версия ее можно назвать ps3netsrv-mod, модифицированная для webman'а, которая в репозитории уже есть не работает с ним.
Готов протестировать. Заранее благодарен!

Собрал сам, если вдруг кому пригодится, файл прикрепил.
У вас нет необходимых прав для просмотра вложений в этом сообщении.
Последний раз редактировалось I2M 11 фев 2016, 14:57, всего редактировалось 3 раза.

Аватара пользователя
Александр Рыжов
Сообщения: 304
Зарегистрирован: 12 авг 2015, 13:14
Откуда: Смоленск

Сообщение Александр Рыжов » 09 фев 2016, 16:14

I2M, мы можем просто переключиться на этот форк, если он ничему не проигрывается прежнему варианту.

I2M
Сообщения: 5
Зарегистрирован: 09 фев 2016, 14:41

Сообщение I2M » 09 фев 2016, 16:39

Александр Рыжов, На счет переключения, наверное это будет некорректно, т.к оригинальная версия предназначена для multiman и работает корректно с ним, а в webman переделали протокол и сделали свой ps3netsrv и обратной совместимости с multiman как я понял там нет.


Вернуться в «Entware/Qnapware/Optware/Zyxware - обсуждаем репозитории пакетов»

Кто сейчас на конференции

Всего 1 посетитель :: 0 зарегистрированных, 0 скрытых и 1 гость (основано на активности пользователей за последние 5 минут)
Больше всего посетителей (121) здесь было 18 май 2016, 18:19

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 1 гость